summaryrefslogtreecommitdiff
path: root/dev-python/pywebview/pywebview-5.1.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pywebview/pywebview-5.1.ebuild')
-rw-r--r--dev-python/pywebview/pywebview-5.1.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/pywebview/pywebview-5.1.ebuild b/dev-python/pywebview/pywebview-5.1.ebuild
new file mode 100644
index 000000000000..f084d41a85bb
--- /dev/null
+++ b/dev-python/pywebview/pywebview-5.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A lightweight cross-platform wrapper around a webview component"
+HOMEPAGE="https://github.com/r0x0r/pywebview"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="gtk qt5 qt6"
+REQUIRED_USE="|| ( gtk qt5 qt6 )"
+
+RDEPEND="
+ dev-python/bottle
+ dev-python/cryptography
+ dev-python/proxy_tools
+ gtk? (
+ dev-python/pygobject[cairo,${PYTHON_USEDEP}]
+ net-libs/webkit-gtk
+ )
+ qt5? (
+ dev-python/pyside2[${PYTHON_USEDEP},webengine]
+ dev-python/QtPy[${PYTHON_USEDEP},webengine]
+ )
+ qt6? (
+ dev-python/pyside6[${PYTHON_USEDEP},webengine]
+ dev-python/QtPy[${PYTHON_USEDEP},webengine]
+ )
+"
+
+distutils_enable_tests pytest
+
+RESTRICT="test" # FIXME: tests fail without message